<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCustomerNotifications extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('customer_notifications', function($table){
			$table->increments('id');
			$table->unsignedBigInteger('task_id');
			$table->enum('type', array('email', 'sms'));
			$table->string('sent_to');
			$table->text('message');
			$table->unsignedBigInteger('created_by');
			$table->timestamps();
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('customer_notifications');
	}

}
